/* 
Theme Name:		ICSTM THEME
Template:		hello-elementor
Version:		1.0.0
Text Domain:	icstm-theme
*/

A, SPAN.elementor-icon-list-icon, SPAN.elementor-icon-list-text { transition:0.2s all !important }
P:last-child { margin-bottom:0 !important }

.elementor-widget-text-editor *:not(STYLE) + UL, .elementor-widget-text-editor * + OL { margin-top:-10px }
.elementor-widget-text-editor UL + *, .elementor-widget-text-editor OL + * { margin-top:20px }
.elementor-widget-text-editor P A, .elementor-widget-text-editor UL A { text-decoration: underline !important }

.elementor-widget-text-editor H3 { margin:30px 0 10px !important }
.elementor-widget-text-editor H4 { margin:25px 0 10px !important }

.elementor-location-header A { text-decoration:none !important}

.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a { align-items: flex-start !important }

IMG { width:100% }

.hideit { display:none !important }
.notselectable { user-select: none; outline: none; cursor: default }

/* ============================================================== */
#mainmenu .sub-menu { min-width:220px !important; padding-bottom:10px }
#mainmenu .sub-menu a { border:0 none !important }

#mainmenu .current-menu-ancestor > A, #mainmenu .current-page-ancestor > A { color:var(--e-global-color-accent)}



/* ============================================================== */
/* GENERAL */
.contentBox { height:100% !important; transition:0.3s box-shadow }
.contentBox:hover { box-shadow: 0px 0px 30px 0px rgb(0 0 0 / 20%) !important }

.icon_item_wrap { display:flex; flex-direction:row; align-items: center; flex-wrap: nowrap; gap:15px }
.icon_item_wrap .icon { line-height:1; flex:0 0 32px }
.icon_item_wrap .item { color:var(--e-global-color-primary) }

.acf_field_label { font-weight:700 }
H4.acf_field_label, .line_header { width: 100% !important; position:relative; text-transform: uppercase }
H4.acf_field_label { margin:25px 0 10px !important }
H4.acf_field_label SPAN, .line_header SPAN { padding-right:20px; background:#FFF; position:relative; z-index:1  }
H4.acf_field_label:after, .line_header:after { content:"";  position:absolute; z-index:0; left:0; bottom:4px; width:100%; height:3px; background:var(--e-global-color-accent) }

.elementor-posts--thumbnail-top .elementor-post__thumbnail__link { margin-bottom:0 !important }


/* ============================================================== */
/* PAGINATION */
.page-numbers { display:inline-block; padding:10px 16px; box-shadow:0 0 5px rgba(0,0,0,0.15) !important; background:#FFF }
.page-numbers.current { background:var(--e-global-color-accent); color:#FFF}

/* ============================================================== */
/* TOC */
.elementor-toc__header { padding-bottom:0 !important }
.elementor-menu-anchor { top: -90px; position: relative; }

.elementor-toc__list-item-text-wrapper { align-items:flex-start !important; }
.elementor-toc__list-item-text-wrapper > SVG { margin-top:8px }


/* ============================================================== */
/* STAFF */
.staff_accounts_wrap { display:flex; flex-direction:column; align-items: start; flex-wrap: wrap; gap:15px }
.staff_cv_wrap { background:var(--e-global-color-primary); border-radius:6px}
.staff_cv_wrap .icon_item_wrap { justify-content:center; padding:10px}
.staff_cv_wrap .icon_item_wrap .item { color:#FFF !important }

.staff_career_item_wrap { display:flex; flex-direction:row; padding-bottom:10px; margin-bottom:10px; border-bottom:1px dashed #CCC }
.staff_career_item_wrap .col_1 { flex:1 auto !important}
.staff_career_item_wrap .col_2 { flex:0 0 200px !important; text-align:right}

.staff_studies_item_wrap { display:flex; flex-direction:row; padding-bottom:10px; margin-bottom:10px; border-bottom:1px dashed #CCC }
.staff_studies_item_wrap .col_0 { flex:0 0 90px !important}
.staff_studies_item_wrap .col_1 { flex:1 auto !important}
.staff_studies_item_wrap .col_2 { flex:0 0 200px !important; text-align:right}

/* ============================================================== */
/* EQUIPMENT */
.equipThumb IMG { opacity:0; width:100vw !important; height:100vh !important }